import { jsx } from "react/jsx-runtime";
import { PaintBrushIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PaintBrush = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "PaintBrush", ...props, children: /* @__PURE__ */ jsx(PaintBrushIcon, { weight: variant }) });
  }
);
PaintBrush.displayName = "PaintBrush";
Object.assign(PaintBrush, { isGdsIcon: true });
export {
  PaintBrush
};
